<?php
/*
  $Id: DB.class.ph, v 3.3.2

  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  v 1.0 21/02/06 Sam West$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Released under the GNU General Public License

  Copyright © 2006 Kangaroo Partners
  http://kangaroopartners.com
  osc@kangaroopartners.com
*/

/**
 * OSC Database functions wrapper - just in case they decide to release ms3 the moment i release this - he he
 */
class amDB {

	/**
	 * Returns a singular result from a mysql query
	 * @param $strQuery string - mysql query
	 * @return mixed - first record, first row
	 */
	public static function getOne($strQuery) {
		$res = tep_db_query($strQuery);
		if ($res && mysqli_num_rows($res))
			return amDB::mysqli_result($res,0,0);
		return false;
	}

	/**
	 * Returns all results from a mysql query
	 * @author Sam West aka Nimmit - osc@kangaroopartners.com
	 * @param $strQuery string - mysql query
	 * @return array - all results
	 */
	public static function getAll($strQuery) {
		$res = tep_db_query($strQuery);
		$results = [];
		while ($row = $res->fetch_assoc()) {
			$results[] = $row;
    }
		return $results;
	}

	/**
	 * Returns placebo autoincrement value
	 * @access public
	 * @param $strTable string table name
	 * @param $strField string field name
	 * @return mixed
	 */
	public static function getNextAutoValue($strTable,$strField) {
		return (int)amDB::getOne("select max($strField) + 1 as next from $strTable limit 1");
	}

	public static function mysqli_result($res,$row,$field) {
		tep_db_data_seek($res, $row);
		$data = mysqli_fetch_array($res, MYSQLI_NUM);
		return $data[$field];
	}

}
