<?php
/*
  $Id: attributeManager.php,v 3.3.2
  
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  based on attributeManager.php,v 1.0 21/02/06 Sam West$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Released under the GNU General Public License
  
  Copyright © 2006 Kangaroo Partners
  http://kangaroopartners.com
  osc@kangaroopartners.com
*/

  function drawDropDownPrefix($params,$selected = '') {
    return tep_draw_pull_down_menu("prefix", [['id' => '', 'text' => ''], ['id' => urlencode('+'), 'text' => '+'], ['id' => '-', 'text' => '-']], ($selected == '+') ? urlencode('+') : $selected,	$params);
  }

// SATRT: More Product Weight added by RusNN
  if (AM_USE_MPW) {
    function drawDropDownWeightPrefix($params,$selected = '') {
      return tep_draw_pull_down_menu("weight_prefix", [['id' => '', 'text' => ''], ['id' => urlencode('+'), 'text' => '+'], ['id' => '-', 'text' => '-']], ($selected == '+') ? urlencode('+') : $selected, $params);
    }
  }
// END More Product Weight added by RusNN

function amGetAttributeManagerInstance($get) {
	
	if (!isset($get['products_id']) || !is_numeric($get['products_id']) || AM_ATOMIC_PRODUCT_UPDATES) {

		// first time visiting the page - delete the session var and start again
		if (isset($get[AM_PAGE_ACTION_NAME]) && 'new_product' == $get[AM_PAGE_ACTION_NAME] && isset($get[AM_ACTION_GET_VARIABLE]) && !!Text::is_empty($get[AM_ACTION_GET_VARIABLE]) ) {
			amSessionUnregister(AM_SESSION_VAR_NAME);	
    }
    amSessionRegister(AM_SESSION_VAR_NAME, []);

    $am_session_var_name = amGetSessionVariable(AM_SESSION_VAR_NAME);
    return new attributeManagerAtomic($am_session_var_name);
	}	else {
		return new attributeManagerInstant((int)$_GET['products_id']);
  }
}
